LibreOffice: OfficeInstallationDirectories Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | List of all members
OfficeInstallationDirectories Service Referencepublished

encapsulates access to the current office installation directory and office user data directory, provides functionality to create URLs containing relocatable (not absolute) references to the current office installation directory and user data directory and vice versa. More...

Inheritance diagram for OfficeInstallationDirectories:

## Exported Interfaces
interface | XOfficeInstallationDirectories

## Additional Inherited Members
Public Member Functions inherited from XOfficeInstallationDirectories
string | getOfficeInstallationDirectoryURL ()
| returns the absolute URL containing the directory of the current office installation (for example "file:///opt/LibreOffice")
string | getOfficeUserDataDirectoryURL ()
| returns the absolute URL containing the directory where the current office installation expects its user data (for example "file:///home/kso/.config/libreoffice/4")
string | makeRelocatableURL ([in] string URL)
| calculates a relocatable URL from the given URL.
string | makeAbsoluteURL ([in] string URL)
| the counterpart of `makeRelocatableURL`.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

encapsulates access to the current office installation directory and office user data directory, provides functionality to create URLs containing relocatable (not absolute) references to the current office installation directory and user data directory and vice versa.

This functionality is useful when data containing references to the current office installation directory or user data directory must be made persistent and re-read later. In many cases, storing the reference directly would destroy the relocatability of an office installation and the possibility to share one office user data directory among parallel office installations.

Since
  OOo 2.0

Deprecated:
  rather use the singleton theOfficeInstallationDirectories

## Exported Interfaces

## ◆ XOfficeInstallationDirectories

interface XOfficeInstallationDirectories

The documentation for this service was generated from the following file:

- com/sun/star/util/OfficeInstallationDirectories.idl